Get Invoice list

Retrieves the list of invoices for the merchant with customer details, amount, and payment status. The request payload must be sent in encrypted format.

GET
/api/v1/invoice-dashboard

Base URL

Sandbox Base URL

Strictly for sandbox testing. Never use the sandbox URL in your production environment.
https://merchantapisandbox.hesabe.com

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Pass access token obtained from login endpoint

Header Parameters

accessCode*string

Pass the merchant access code issued by Hesabe

Accept*string

application/json

Content-Type*string

application/json

Query Parameters

fromDate*string

Pass the from date (YYYY-MM-DD)

toDate*string

Pass the to date (YYYY-MM-DD)

page*integer

Pass the pagination number

search?string

Pass the search string

invoiceType*string

Pass invoiceType number (Eg: '1' for single Invoice)

Invoice TypesValue
Single Invoice"1"
Subscription Invoice"0"
Split Invoice"6"
Heinstallment Invoice"7"
data*string

Pass the encrypted payload as a query parameter

Response Body

Details fetched successfully. Decrypt the server response to view the final result

application/json
  1. response
status?boolean
message?string
response?
Example Request
fetch("https://merchantapisandbox.hesabe.com/api/v1/invoice-dashboard?fromDate=2025-01-01&toDate=2025-12-31&page=1&invoiceType=1&data=0e7898bd7464d0c402fe8a949d9cbf9b826ccb9b83b56fa003373275f1947a65", {  method: "GET",  headers: {    "accessCode": "c333729b-d060-4b74-a49d-7686a8353481",    "Accept": "application/json",    "Content-Type": "application/json"  }})
Example Response
{  "status": true,  "message": "Invoice Dashboard",  "response": {    "stats": {      "total_invoice_count": 9,      "invoice_paid": "0",      "invoice_not_paid": "9",      "invoice_cancelled": "0"    },    "order_stats": {      "total_invoice_count": 0,      "invoice_paid": null,      "invoice_not_paid": null,      "invoice_cancelled": null    },    "invoices": {      "data": [        {          "id": 14693,          "invoice_type": 1,          "invoice_sub_type": 3,          "order_drop_id": 0,          "token": "841759657093983406",          "access_key": "95366WQ9",          "split_access_key": "",          "merchant_id": "84",          "reference_number": "12349899",          "amount": "20.000",          "admin_charge": "0.000",          "service_charge": "0.000",          "subscription": 0,          "discount": "0.000",          "description": "Invoice testing",          "sms_response": "{\"requestError\":0,\"messageId\":\"80965d5c-69fa-4cca-af0d-5a2590d11555\",\"isOK\":true,\"result\":\"0\",\"smS_Cost\":3200}",          "invoice_status": 0,          "payment_method": [            "1",            "2"          ],          "sms_status": 1,          "url_status": 0,          "visited_count": 0,          "country_id": 11,          "created_id": 84,          "language": "ar",          "expires_at": "2025-12-12",          "url": "http://demo.hesabe.com/s/95366WQ9",          "spliturl": null,          "created_at": "2025-10-05 12:38:13",          "updated_at": "2025-10-05 12:38:19",          "rentperiod": null,          "transaction": {            "payment_type_id": null,            "payment_id": null,            "post_date": null,            "result_code": null,            "track_id": null,            "transaction_id": null,            "reference_number": null,            "payment_type": null,            "paid_on": null,            "Auth": null,            "Amount": null,            "admin_charge": null          },          "customer": {            "name": "TEST",            "email": "test@gmail.com",            "phone_number": "96566666666"          },          "created_by_merchant": {            "id": 84,            "name": "test"          },          "products": []        }      ],      "pagination": {        "total": 9,        "count": 9,        "per_page": 15,        "current_page": 1,        "total_pages": 1,        "page_url": "https://merchantapisandbox.hesabe.com/api/v1/invoice-dashboard",        "next_page_url": null,        "previous_page_url": null      }    }  }}